Update a project
Update one or more fields of a project. Only the supplied fields are modified.
PATCH/projects/{id}
Authorization
Requires: BearerAuth
Path parameters
idstring (uuid)pathrequiredRequest body
namestringbodycustom_domainstringbodygithub_branchstringbodyResponse
200 — Project updated
idstring (uuid)requiredUnique project identifier
namestringrequiredHuman-readable project name
slugstringrequiredURL slug — used as the subdomain `{slug}.codivdocs.com`
statusenum (pending, building, active...)requiredCurrent project status
created_atstring (date-time)requiredProject creation timestamp
github_repostringConnected GitHub repo in `owner/name` format
custom_domainstringCustom domain (e.g. `docs.acme.com`) if configured
github_branchstringBranch synced for deployments
last_deploy_atstring (date-time)Timestamp of the most recent successful deployment
404 — Project not found
errorstringrequiredMachine-readable error code (e.g. `invalid_request`, `unauthorized`, `not_found`)
messagestringrequiredHuman-readable error description
Update a project
curl --request PATCH \
--url 'https://api.codivdocs.com/v1/projects/{id}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "<string>",
"custom_domain": "<string>",
"github_branch": "<string>"
}'{
"id": "00000000-0000-0000-0000-000000000000",
"name": "<string>",
"slug": "<string>",
"status": "pending",
"created_at": "2026-04-13T03:19:49.379Z",
"github_repo": "<string>",
"custom_domain": "<string>",
"github_branch": "main",
"last_deploy_at": "2026-04-13T03:19:49.379Z"
}